<h1>Add your bid</h1>

<form
  [formGroup]="formGroup"
  (ngSubmit)="onSubmit()"
>
  <div class="center-div">
    <app-number-input
      [controlName]="'newBid'"
      [errorKeys]="['required', 'newBidIsLowerThenHigher']"
      [labelValue]="'new bid'"
      [parentForm]="formGroup"
    ></app-number-input>
  </div>

</form>

<div class="flex-inline-box space-between action-buttons">
  <app-action-button
    [pIcon]="'pi-check'"
    [label]="'Add Bid'"
    [color]="'--action-button-success'"
    (buttonClicked)="onSubmit()"
  ></app-action-button>

  <app-action-button
    [pIcon]="'pi-times'"
    [label]="'Go Back'"
    [color]="'--action-button-danger'"
    (buttonClicked)="onCancel()"
  ></app-action-button>
</div>
